Bug 726351 - Review Request: jboss-logging - JBoss Logging Framework
Summary: Review Request: jboss-logging - JBoss Logging Framework
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Grimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 711350 723523
Blocks: 727152 728158 728171 728202 728208 728460 728504 730314 740799
TreeView+ depends on / blocked
 
Reported: 2011-07-28 10:57 UTC by Marek Goldmann
Modified: 2016-11-08 03:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 09:12:58 UTC
agrimm: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2011-07-28 10:57:26 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/jboss-logging/1/jboss-logging.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jboss-logging/1/jboss-logging-3.0.0-1.fc15.src.rpm
Description: This package contains the JBoss Logging Framework.

$ rpmlint ./jboss-logging.spec 
./jboss-logging.spec: W: invalid-url Source0: jboss-logging-3.0.0.GA.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint jboss-logging-3.0.0-1.fc15.src.rpm 
jboss-logging.src: I: enchant-dictionary-not-found en_US
jboss-logging.src: W: invalid-url Source0: jboss-logging-3.0.0.GA.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 1 Andy Grimm 2011-09-12 18:48:26 UTC
=== REQUIRED ITEMS ===
[x]  Rpmlint output:
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 1a9454899ad59a33317be45c526a9ec6
MD5SUM upstream package: 1a9454899ad59a33317be45c526a9ec6
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[ ]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:
x86_64

=== Issues ===
1. I don't think that you want to have the "apidocs" directory under the %{_javadocdir}/%{name}/  ... please fix this.

2.  Version 3.0.1 was just released on Friday; you may want to update.  I wouldn't block the review on this, though.

Comment 3 Andy Grimm 2011-09-20 15:08:33 UTC
Looks good now.

APPROVED

Comment 4 Marek Goldmann 2011-09-21 13:25:40 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      jboss-logging
Short Description: JBoss Logging Framework
Owners:            goldmann

Comment 5 Gwyn Ciesla 2011-09-24 15:31:19 UTC
Git done (by process-git-requests).

Comment 6 Marek Goldmann 2011-09-26 09:12:58 UTC
Thanks for git, closing.


Note You need to log in before you can comment on or make changes to this bug.